#!/bin/bash

KYARCH=$(arch)

###chroot
if [ "${KYARCH}" == "aarch64" ];then
  if [ -f /target/usr/sbin/grub-install ];then
    echo "${KYARCH}: chroot /target grub-install... "
    chroot /target grub-install
  fi
  if [ -f /target/usr/sbin/update-grub ];then
    echo "${KYARCH}: chroot /target update-grub... "
    chroot /target update-grub
  fi
  if [ -f /target/boot/efi/EFI/kylin/grubaa64.efi ];then
    echo "${KYARCH}: chroot /target cp... "
    mkdir -p /target/boot/efi/EFI/boot
    cp /target/boot/efi/EFI/kylin/grubaa64.efi /target/boot/efi/EFI/boot/bootaa64.efi
  fi
fi


###nochroot
if [ "${KYARCH}" == "x86_64" ];then
  if [ -f /target/boot/efi/EFI/kylin/grubx64.efi ] && [ ! -f /target/boot/efi/EFI/boot/bootx64.efi ] && [ ! -f /target/boot/efi/EFI/BOOT/BOOTX64.EFI ];then
    mkdir -p /target/boot/efi/EFI/boot
    cp /target/boot/efi/EFI/kylin/grubx64.efi /target/boot/efi/EFI/boot/bootx64.efi
  fi
fi

### OEM
echo "OEM config: "
if [ -f /target/usr/sbin/oem-config-prepare ];then
    chroot /target /usr/sbin/oem-config-prepare
fi

